<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

$liza_customizer_default_values = array(
    'logo_position' => 'logo_center',
    'header_transparent' => 'disabled',
	'menu_style' => 'menu_aside',
	'social_icons' => 'show',	
    'logo_type' => 'image_logo',
    'logo_image' => get_template_directory_uri() . '/img/logo.png',
    'logo_retina' => true,
	'header_logo_text_width' => '200',
    'logo_text_caption' => 'Text Logo',
    'logo_text_font' => 'PT Sans',
    'logo_text_size' => '24',
    'logo_text_weight' => '700',
    'logo_text_style_uppercase' => true,
    'logo_text_style_italic' => false,
    'logo_padding_top' => '38',
    'logo_padding_bottom' => '37',
    'header_menu_font_family' => 'PT Sans',
    'header_menu_font_weight' => '400',
    'breadcrumb_state' => 'on',
    'preloader_state' => 'on',
    'footer_logo_position' => 'logo_center',
    'footer_logo_type' => 'image_logo',
    'footer_logo_image' => get_template_directory_uri() . '/img/logo.png',
    'footer_logo_retina' => true,
    'footer_logo_text_width' => '200',
	'footer_logo_text_caption' => 'Text Logo',
    'footer_logo_text_font' => 'PT Sans',
    'footer_logo_text_size' => '24',
    'footer_logo_text_weight' => '700',
    'footer_logo_text_style_uppercase' => true,
    'footer_logo_text_style_italic' => false,
    'footer_logo_padding_top' => '80',
    'footer_logo_padding_bottom' => '77',
    'footer_copyright_text' => esc_attr__('&copy; Copyright 2017 Liza Henderson. All Rights Reserved.', 'liza'),
	'footer_email' => esc_attr__('hello@lizahenderson.com', 'liza'),
	'footer_address' => esc_attr__('252 Edison St. Salt Lake City, Utah', 'liza'),
	'footer_phone' => esc_attr__('801 467 2207', 'liza'),
	'footer_info_on_mobile' => 'only_logo',
	
    'sidebar_position' => 'liza_right_sidebar',
    'headings_font_family' => 'PT Sans',
    'headings_font_weight' => '400',	
	'main_font_family' => 'PT Sans',
    'main_font_size' => '16',
    'main_line_height' => '24',
    'main_font_weight' => '400',
	
    'body_bg_color' => '#0b0c11',
    'boxed_bg_color' => '#0b0c11',
    'color_main' => '#e57e62',
    'color_content' => '#c3c5ce',
	'color_content_additional' => '#ffffff',
    'color_headings' => '#ffffff',
	'color_content_border' => '#303342',
    'logo_text_color' => '#ffffff',
    'logo_text_hover' => '#ffffff',	
    'logo_text_color_transparent_header' => '#ffffff',
    'logo_text_hover_transparent_header' => '#ffffff',
	'header_bg_color' => '#0c0c10',
    'header_links_color' => '#ffffff',
    'header_links_hover_color' => '#e57e62',
    'header_links_color_transparent_header' => '#ffffff',
    'header_sub_menu_spacer_color' => '#2b2d33',
	'header_sub_menu_bg_color1' => '#13151c',
	'header_sub_menu_bg_color2' => '#1c1e25',
	'input_border_color' => '#303342',
	'input_text_color' => '#ffffff',
    'footer_bg_color' => '#0b0c11',
    'footer_border_color' => '#242529',
    'footer_logo_text_color' => '#ffffff',
    'footer_logo_text_hover' => '#ffffff',
	'footer_text_color' => '#c3c5ce',
	'footer_links_color' => '#c3c5ce',
    'footer_links_hover_color' => '#e57e62',

    'featured_posts_status' => 'enabled',
    'featured_posts_orderby' => 'rand',
    'featured_posts_numberposts' => '2',
    'featured_posts_fimage_status' => 'show',
    'featured_posts_meta_status' => 'show',
    'featured_posts_excerpt_status' => 'show',
	'breadcrumb_bg_image' => get_template_directory_uri() . '/img/null.png',
    '404_bg_image' => get_template_directory_uri() . '/img/null.png',
    'text_color_404' => '#ffffff',
    'cs_bg_image' => get_template_directory_uri() . '/img/null.png',
    'cs_text_color' => '#ffffff',

	'liza_soc_facebook' => 'https://www.facebook.com/',
    'liza_soc_twitter' => 'https://twitter.com/',
    'liza_soc_linkedin' => '',
    'liza_soc_gplus' => 'https://plus.google.com/',
    'liza_soc_youtube' => '',
    'liza_soc_instagram' => 'https://www.instagram.com/',
    'liza_soc_pinterest' => 'https://www.pinterest.com/',
    'liza_soc_tumblr' => '',
    'liza_soc_flickr' => '',
    'liza_soc_vk' => '',
    'liza_soc_dribbble' => '',
    'liza_soc_vimeo' => '',
	'liza_soc_500px' => '',
	'liza_soc_litmind' => '',
	
	'albums_pt_name' => 'Albums',
	'albums_pt_slug' => 'albums',
	
	'projects_pt_name' => 'Projects',
	'projects_pt_slug' => 'project',
    
    'shop_sidebar_position' => 'liza_right_sidebar',
    'shop_sale_label' => 'on',
    'cart_in_header' => 'show',
    'shop_lightbox' => 'on',
    'shop_zoom' => 'on',
    'shop_slider' => 'on',
    
    'shop_color_message' => '#e57e62',
    'shop_color_info' => '#e57e62',
    'shop_color_error' => '#e57e62',
    'shop_color_required' => '#e57e62',
    'shop_color_remove' => '#e57e62',

);

# Register Customizer
add_action('customize_register', 'liza_customizer_register');
function liza_customizer_register($wp_customize)
{
	global $liza_customizer_default_values;
	
    ###################################################
    ############# Header Settings Section #############
    ###################################################
    $wp_customize->add_section('liza_header_settings',
        array(
            'title' => esc_attr__('Header Settings', 'liza')
        )
    );

    # Menu Style
    $wp_setting_name = 'menu_style';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Menu Style', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('menu_aside' => 'Aside Menu', 'menu_simple' => 'Simple Menu', 'menu_simple_showed' => 'Simple Menu Disclosed'),
        )
    ));

    # Layout Control
    $wp_setting_name = 'social_icons';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Social Icons', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('show' => 'Show', 'hide' => 'Hide'),
        )
    ));

    # Logo Position
    $wp_setting_name = 'logo_position';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Position', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('logo_left' => 'Left', 'logo_center' => 'Center', 'logo_right' => 'Right'),
        )
    ));

    # Transparent Header
    $wp_setting_name = 'header_transparent';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Transparent Header', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('disabled' => 'Disabled', 'enabled' => 'Enabled'),
        )
    ));

    # Logo Type (Text or Image)
    $wp_setting_name = 'logo_type';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Type', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('image_logo' => 'Image', 'text_logo' => 'Text'),
        )
    ));

    # Logo (Selected Image)
    $wp_setting_name = 'logo_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Image', 'liza'),
            'section' => 'liza_header_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="image_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Retina
    $wp_setting_name = 'logo_retina';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Retina', 'liza'),
            'section' => 'liza_header_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="image_logo"></i>By activating this option you must use an image with 2х size more than you wish to show.',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
        )
    ));

	# Logo Text Width
    $wp_setting_name = 'header_logo_text_width';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Text Width in PX', 'liza'),
            'section' => 'liza_header_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));	
	
    # Logo Text Caption
    $wp_setting_name = 'logo_text_caption';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Text', 'liza'),
            'section' => 'liza_header_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Font
    $wp_setting_name = 'logo_text_font';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Font', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'choices' => liza_get_all_fonts_name(),
        )
    ));

    # Logo Text Size
    $wp_setting_name = 'logo_text_size';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Size, px', 'liza'),
            'section' => 'liza_header_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Weight
    $wp_setting_name = 'logo_text_weight';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Font Weight', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>Please keep in mind that most fonts do not support such exotic thicknesses as the 100. The most common values: 300, 400, 600, 700.',
            'type' => 'select',
            'choices' => array('100' => '100', '200' => '200', '300' => '300', '400' => '400', '500' => '500', '600' => '600', '700' => '700', '800' => '800', '900' => '900'),
        )
    ));

    # Logo Text Style Uppercase
    $wp_setting_name = 'logo_text_style_uppercase';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Uppercase', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
        )
    ));

    # Logo Text Style Italic
    $wp_setting_name = 'logo_text_style_italic';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Italic', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="logo_type" data-dependency-val="text_logo"></i>',
            'type' => 'checkbox',
        )
    ));

    # Header Padding Top
    $wp_setting_name = 'logo_padding_top';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Padding Top, px', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Padding Bottom
    $wp_setting_name = 'logo_padding_bottom';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Logo Padding Bottom, px', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Menu Font Family
    $wp_setting_name = 'header_menu_font_family';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Font Family', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => liza_get_all_fonts_name(),
        )
    ));

    # Header Menu Weight
    $wp_setting_name = 'header_menu_font_weight';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Font Weight', 'liza'),
            'section' => 'liza_header_settings',
            'settings' => $wp_setting_name,
            'description' => 'Please keep in mind that most fonts do not support such exotic thicknesses as the 100. The most common values: 300, 400, 600, 700.',
            'type' => 'select',
            'choices' => array('100' => '100', '200' => '200', '300' => '300', '400' => '400', '500' => '500', '600' => '600', '700' => '700', '800' => '800', '900' => '900'),
        )
    ));


    ###################################################
    ############ Content Settings Section #############
    ###################################################
    $wp_customize->add_section('liza_content_settings',
        array(
            'title' => esc_attr__('Content Settings', 'liza')
        )
    );
	
	# Breadcrumb State
    $wp_setting_name = 'breadcrumb_state';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Breadcrumb State', 'liza'),
            'section' => 'liza_content_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('on' => 'On', 'off' => 'Off'),
        )
    ));

    # Breadcrumb Backgroung Image
    $wp_setting_name = 'breadcrumb_bg_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Title & Breadcrumb Background Image', 'liza'),
            'section' => 'liza_content_settings',
            'settings' => $wp_setting_name,
        )
    ));


    ###################################################
    ########### Preloader Settings Section ############
    ###################################################
    $wp_customize->add_section('liza_preloader_settings',
        array(
            'title' => esc_attr__('Preloader Settings', 'liza')
        )
    );
	
    # Preloader On Off
    $wp_setting_name = 'preloader_state';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Content Layout', 'liza'),
            'section' => 'liza_preloader_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('on' => 'On', 'off' => 'Off'),
        )
    ));



    ###################################################
    ############## Footer Settings Section ############
    ###################################################
    $wp_customize->add_section('liza_footer_settings',
        array(
            'title' => esc_attr__('Footer Settings', 'liza')
        )
    );

    # Footer Logo Position
    $wp_setting_name = 'footer_logo_position';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Position', 'liza'),
            'section' => 'liza_footer_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('logo_left' => 'Left', 'logo_center' => 'Center', 'logo_right' => 'Right'),
        )
    ));

    # Footer Logo Type (Text or Image)
    $wp_setting_name = 'footer_logo_type';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Type', 'liza'),
            'section' => 'liza_footer_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('image_logo' => 'Image', 'text_logo' => 'Text'),
        )
    ));

    # Footer Logo (Selected Image)
    $wp_setting_name = 'footer_logo_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Image', 'liza'),
            'section' => 'liza_footer_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="image_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Logo Retina
    $wp_setting_name = 'footer_logo_retina';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Retina', 'liza'),
            'section' => 'liza_footer_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="image_logo"></i>By activating this option you must use an image with 2х size more than you wish to show.',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
        )
    ));

    # Footer Logo Text Width
    $wp_setting_name = 'footer_logo_text_width';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Width in PX', 'liza'),
            'section' => 'liza_footer_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Logo Text Caption
    $wp_setting_name = 'footer_logo_text_caption';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Text', 'liza'),
            'section' => 'liza_footer_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Logo Text Font
    $wp_setting_name = 'footer_logo_text_font';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Font', 'liza'),
            'section' => 'liza_footer_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="text_logo"></i>',
            'choices' => liza_get_all_fonts_name(),
        )
    ));

    # Footer Logo Text Size
    $wp_setting_name = 'footer_logo_text_size';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Size, px', 'liza'),
            'section' => 'liza_footer_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Logo Text Weight
    $wp_setting_name = 'footer_logo_text_weight';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Font Weight', 'liza'),
            'section' => 'liza_footer_settings',
            'settings' => $wp_setting_name,
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="text_logo"></i>Please keep in mind that most fonts do not support such exotic thicknesses as the 100. The most common values: 300, 400, 600, 700.',
            'type' => 'select',
            'choices' => array('100' => '100', '200' => '200', '300' => '300', '400' => '400', '500' => '500', '600' => '600', '700' => '700', '800' => '800', '900' => '900'),
        )
    ));

    # Footer Logo Text Style Uppercase
    $wp_setting_name = 'footer_logo_text_style_uppercase';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Uppercase', 'liza'),
            'section' => 'liza_footer_settings',
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="text_logo"></i>',
            'settings' => $wp_setting_name,
            'type' => 'checkbox',
        )
    ));

    # Footer Logo Text Style Italic
    $wp_setting_name = 'footer_logo_text_style_italic';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Italic', 'liza'),
            'section' => 'liza_footer_settings',
            'settings' => $wp_setting_name,
            'description' => '<i class="liza_dependency_customizer" data-dependency-id="footer_logo_type" data-dependency-val="text_logo"></i>',
            'type' => 'checkbox',
        )
    ));

    # Footer Logo Padding Top
    $wp_setting_name = 'footer_logo_padding_top';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Padding Top, px', 'liza'),
            'section' => 'liza_footer_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Logo Padding Bottom
    $wp_setting_name = 'footer_logo_padding_bottom';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Logo Padding Bottom, px', 'liza'),
            'section' => 'liza_footer_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Email Text
    $wp_setting_name = 'footer_email';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'is_email'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Email', 'liza'),
            'section' => 'liza_footer_settings',
			'type' => 'textarea',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Copyright Text
    $wp_setting_name = 'footer_copyright_text';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name]));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Copyright Text', 'liza'),
            'section' => 'liza_footer_settings',
			'type' => 'textarea',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Address
    $wp_setting_name = 'footer_address';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name]));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Address', 'liza'),
            'section' => 'liza_footer_settings',
			'type' => 'textarea',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Phone
    $wp_setting_name = 'footer_phone';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name]));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Phone', 'liza'),
            'section' => 'liza_footer_settings',
			'type' => 'textarea',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Mobile
    $wp_setting_name = 'footer_info_on_mobile';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name]));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Mobile Footer Style', 'liza'),
            'section' => 'liza_footer_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('only_logo' => 'Show Only Logo', 'all_content' => 'Show All Content'),
        )
    ));

	
    ###################################################
    ################# Sidebars Section ################
    ###################################################
    $wp_customize->add_section('liza_sidebars_settings',
        array(
            'title' => esc_attr__('Sidebars', 'liza')
        )
    );

    # Sidebar Position
    $wp_setting_name = 'sidebar_position';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Sidebar Position', 'liza'),
            'section' => 'liza_sidebars_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('liza_left_sidebar' => 'Left', 'liza_right_sidebar' => 'Right', 'liza_no_sidebar' => 'None'),
        )
    ));


    ###################################################
    ############### Typography Section ################
    ###################################################
    $wp_customize->add_section('liza_typography_settings',
        array(
            'title' => esc_attr__('Typography', 'liza')
        )
    );

    # Headings Font Family
    $wp_setting_name = 'headings_font_family';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Headings Font Family', 'liza'),
            'section' => 'liza_typography_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => liza_get_all_fonts_name(),
        )
    ));

    # Headings Font Weight
    $wp_setting_name = 'headings_font_weight';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Headings Font Weight', 'liza'),
            'section' => 'liza_typography_settings',
            'settings' => $wp_setting_name,
            'description' => 'Please keep in mind that most fonts do not support such exotic thicknesses as the 100. The most common values: 300, 400, 600, 700.',
            'type' => 'select',
            'choices' => array('100' => '100', '200' => '200', '300' => '300', '400' => '400', '500' => '500', '600' => '600', '700' => '700', '800' => '800', '900' => '900'),
        )
    ));
	# Main Font Family
    $wp_setting_name = 'main_font_family';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Main Font Family', 'liza'),
            'section' => 'liza_typography_settings',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => liza_get_all_fonts_name(),
        )
    ));

    # Main Font-Size
    $wp_setting_name = 'main_font_size';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Main Font-Size, px', 'liza'),
            'section' => 'liza_typography_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Main Line-Height
    $wp_setting_name = 'main_line_height';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Main Line-Height, px', 'liza'),
            'section' => 'liza_typography_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Main Font Weight
    $wp_setting_name = 'main_font_weight';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Main Font Weight', 'liza'),
            'section' => 'liza_typography_settings',
            'settings' => $wp_setting_name,
            'description' => 'Please keep in mind that most fonts do not support such exotic thicknesses as the 100. The most common values: 300, 400, 600, 700.',
            'type' => 'select',
            'choices' => array('100' => '100', '200' => '200', '300' => '300', '400' => '400', '500' => '500', '600' => '600', '700' => '700', '800' => '800', '900' => '900'),
        )
    ));

    ###################################################
    ############## Color Settings Section #############
    ###################################################
    $wp_customize->add_section('liza_color_settings',
        array(
            'title' => esc_attr__('Color Settings', 'liza')
        )
    );

    # Content Background Color
    $wp_setting_name = 'body_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Content Background', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Boxed Background Color
    $wp_setting_name = 'boxed_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Boxed Background', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Main Theme Color
    $wp_setting_name = 'color_main';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Theme Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Content Color
    $wp_setting_name = 'color_content';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Content Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Additional Content Color
    $wp_setting_name = 'color_content_additional';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Additional Content Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Headings Color
    $wp_setting_name = 'color_headings';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Headings Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Content Border Color
    $wp_setting_name = 'color_content_border';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Content Border Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Input Border Color
    $wp_setting_name = 'input_border_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Form Fields Border Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Input Text Color
    $wp_setting_name = 'input_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Form Fields Text Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Background Color
    $wp_setting_name = 'header_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Background', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Color
    $wp_setting_name = 'logo_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Logo', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Hover Color
    $wp_setting_name = 'logo_text_hover';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Logo Hover', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Color (Transparent Header)
    $wp_setting_name = 'logo_text_color_transparent_header';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Logo (Transparent Header)', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Logo Text Hover Color (Transparent Header)
    $wp_setting_name = 'logo_text_hover_transparent_header';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Logo Hover (Transparent Header)', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Links Color
    $wp_setting_name = 'header_links_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Links Hover Color
    $wp_setting_name = 'header_links_hover_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu Hover', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Links Color (Transparent Header)
    $wp_setting_name = 'header_links_color_transparent_header';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Menu (Transparent Header)', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Sub-Menu Spacer Color
    $wp_setting_name = 'header_sub_menu_spacer_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Sub-Menu Spacer', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Sub-Menu Level1 Background Color
    $wp_setting_name = 'header_sub_menu_bg_color1';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Sub-Menu Level1 Background', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Header Sub-Menu Level2 Background Color
    $wp_setting_name = 'header_sub_menu_bg_color2';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Header Sub-Menu Level2 Background', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Background Color
    $wp_setting_name = 'footer_bg_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Background', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Border Color
    $wp_setting_name = 'footer_border_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Border', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Logo Text Color
    $wp_setting_name = 'footer_logo_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Text Logo', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Logo Text Hover Color
    $wp_setting_name = 'footer_logo_text_hover';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Text Logo Hover', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Text Color
    $wp_setting_name = 'footer_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Text Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Links Color
    $wp_setting_name = 'footer_links_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Links Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # Footer Links Hover Color
    $wp_setting_name = 'footer_links_hover_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Footer Links Hover Color', 'liza'),
            'section' => 'liza_color_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    ########### Blog Featured Posts Section ###########
    ###################################################
    $wp_customize->add_section('liza_featured_posts',
        array(
            'title' => esc_attr__('Blog Featured Posts', 'liza')
        )
    );

    # Featured Posts Status
    $wp_setting_name = 'featured_posts_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Featured Posts Status', 'liza'),
            'section' => 'liza_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('enabled' => 'Enabled', 'disabled' => 'Disabled'),
        )
    ));

    # Featured Posts Order By
    $wp_setting_name = 'featured_posts_orderby';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Featured Posts Order By', 'liza'),
            'section' => 'liza_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('rand' => 'Random', 'date' => 'Date'),
        )
    ));

    # Featured Posts Number
    $wp_setting_name = 'featured_posts_numberposts';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Number of Posts', 'liza'),
            'section' => 'liza_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('2' => '2', '3' => '3', '4' => '4'),
        )
    ));

    # Featured Posts Feature Image
    $wp_setting_name = 'featured_posts_fimage_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Feature Image', 'liza'),
            'section' => 'liza_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('show' => 'Show', 'hide' => 'Hide'),
        )
    ));

    # Featured Posts Meta
    $wp_setting_name = 'featured_posts_meta_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Post Meta', 'liza'),
            'section' => 'liza_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('show' => 'Show', 'hide' => 'Hide'),
        )
    ));

    # Featured Posts Excerpt
    $wp_setting_name = 'featured_posts_excerpt_status';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Excerpt', 'liza'),
            'section' => 'liza_featured_posts',
            'settings' => $wp_setting_name,
            'type' => 'select',
            'choices' => array('show' => 'Show', 'hide' => 'Hide'),
        )
    ));

    ###################################################
    ################ Error 404 Section ################
    ###################################################
    $wp_customize->add_section('liza_error404_page_settings',
        array(
            'title' => esc_attr__('Error 404 Page', 'liza')
        )
    );

    # 404 Page Backgroung Image
    $wp_setting_name = '404_bg_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Background Image', 'liza'),
            'section' => 'liza_error404_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # 404 Page Text Color
    $wp_setting_name = 'text_color_404';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Color', 'liza'),
            'section' => 'liza_error404_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    #################### CS Section ###################
    ###################################################
    $wp_customize->add_section('liza_cs_page_settings',
        array(
            'title' => esc_attr__('Coming Soon Page', 'liza')
        )
    );

    # 404 Page Backgroung Image
    $wp_setting_name = 'cs_bg_image';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Image_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Background Image', 'liza'),
            'section' => 'liza_cs_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    # 404 Page Text Color
    $wp_setting_name = 'cs_text_color';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Text Color', 'liza'),
            'section' => 'liza_cs_page_settings',
            'settings' => $wp_setting_name,
        )
    ));

    ###################################################
    ################# Code Before Head ################
    ###################################################
    $wp_customize->add_section('liza_code_before_head',
        array(
            'title' => esc_attr__('Code Before &lt;/head&gt;', 'liza')
        )
    );
	
    ###################################################
    ############## Social Icons Section ###############
    ###################################################
    $wp_customize->add_section('liza_social_icons',
        array(
            'title' => esc_attr__('Social Icons', 'liza')
        )
    );
	
    $wp_setting_name = 'liza_soc_facebook';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Facebook', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_twitter';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Twitter', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_linkedin';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('LinkedIn', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_gplus';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Google+', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_youtube';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('YouTube', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_instagram';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Instagram', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_pinterest';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Pinterest', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_tumblr';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Tumblr', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_flickr';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Flickr', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_vk';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('VK', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_dribbble';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Dribbble', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_vimeo';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Vimeo', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_500px';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('500px', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
    $wp_setting_name = 'liza_soc_litmind';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_url'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Litmind', 'liza'),
            'section' => 'liza_social_icons',
            'settings' => $wp_setting_name,
        )
    ));
	
    #######################################################
    ############## Custom Post Types Section ##############
    #######################################################
    $wp_customize->add_section('liza_custom_post_types',
        array(
            'title' => esc_attr('Advanced', 'liza')
        )
    );

    # Albums Name
    $wp_setting_name = 'albums_pt_name';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Albums Post Type Name' , 'liza'),
            'section' => 'liza_custom_post_types',
            'settings' => $wp_setting_name,
        )
    ));
	
    # Albums Slug
    $wp_setting_name = 'albums_pt_slug';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Albums Post Type Slug' , 'liza'),
            'section' => 'liza_custom_post_types',
            'settings' => $wp_setting_name,
        )
    ));	

    # Projects Name
    $wp_setting_name = 'projects_pt_name';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Projects Post Type Name' , 'liza'),
            'section' => 'liza_custom_post_types',
            'settings' => $wp_setting_name,
        )
    ));
	
    # Projects Slug
    $wp_setting_name = 'projects_pt_slug';
    $wp_customize->add_setting($wp_setting_name, array('default' => $liza_customizer_default_values[$wp_setting_name], 'sanitize_callback'	=> 'esc_attr'));
    $wp_customize->add_control(new WP_Customize_Control(
        $wp_customize,
        $wp_setting_name,
        array(
            'label' => esc_attr__('Projects Post Type Slug' , 'liza'),
            'section' => 'liza_custom_post_types',
            'settings' => $wp_setting_name,
        )
    ));	
}