<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

if (function_exists('vc_map')) {
    vc_map(
		array(
			'base' => 'pm_vc_gallery_ribbon',
			'name' => esc_html__('Gallery Ribbon', 'liza'),
			'description' => 'Display images in ribbon layout.',
			'category' => esc_html__('Pixel-Mafia', 'liza'),
			'icon' => 'liza_vc_elements_icon liza_gallery_ribbon',
			'params' => array(
				array(
					'type' => 'attach_images',
					'heading' => esc_html__('Add Images', 'liza'),
					'param_name' => 'images',
					'admin_label' => true,
					'description' => esc_html__('Select images from media library.', 'liza'),
					'value' => ''
				),
				array(
					'type' => 'checkbox',
					'heading' => esc_html__('Crop Image?', 'liza'),
					'param_name' => 'image_crop',
					'description' => esc_html__( 'Enable slider autoplay.', 'liza' ),
					'value' => esc_html__('Yes', 'liza')
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Image Width", "liza"),
					"param_name" => "image_crop_width",
					"value" => '',
					'edit_field_class' => 'vc_col-sm-6',
					'dependency' => array(
						'element' => 'image_crop',
						'value' => 'true'
					)
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Crop Height", "liza"),
					"param_name" => "image_crop_height",
					"value" => '',
					'edit_field_class' => 'vc_col-sm-6',
					'dependency' => array(
						'element' => 'image_crop',
						'value' => 'true'
					)
				),		

				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Title State', 'liza'),
					'param_name' => 'title_state',
					'admin_label' => true,
					'value' => array(
						esc_html__("On", "liza") => 'on',
						esc_html__("Off", "liza") => 'off'
					)
				),		

				array(
					"type" => "textfield",
					"heading" => esc_html__("Module Height", "liza"),
					"param_name" => "module_height",
					"value" => '100%',
					"description" => esc_html__("Sets module height in px. Enter '100%' for fullheight mode.", "liza")
				),
				
				array(
					"type" => "textfield",
					"heading" => esc_html__("Paddings around the images", "liza"),
					"param_name" => "items_padding",
					"description" => esc_html__("Please use this option to add paddings around the images. Recommended size in pixels 0-50. (Ex.: 15px):", "liza")
				),	
				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Autoplay', 'liza'),
					'param_name' => 'autoplay',
					'admin_label' => true,
					'group' => __( 'Autoplay Options', 'liza' ),
					'description' => esc_html__('Turn ON or OFF slider autoplay.', 'liza'),
					'value' => array(
						esc_html__("On", "liza") => 'on',
						esc_html__("Off", "liza") => 'off'
					)
				),		
				
				array(
					"type" => "textfield",
					"heading" => esc_html__("Display Time", "liza"),
					"param_name" => "interval",
					'group' => __( 'Autoplay Options', 'liza' ),
					"description" => esc_html__("Sets time before change the slide in milliseconds", "liza"),
					'value' => '4000'
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Transition Time", "liza"),
					"param_name" => "transition_time",
					'group' => __( 'Autoplay Options', 'liza' ),
					"description" => esc_html__("Sets Transition animation time", "liza"),
					'value' => '600'
				),
				array(
					'type' => 'css_editor',
					'heading' => esc_html__('CSS', 'liza'),
					'param_name' => 'custom_css',
					'group' => esc_html__('Design options', 'liza'),
				),
				array(
					'param_name' => 'custom_class',
					'heading' => esc_html__('Custom Class', 'liza'),
					'description' => '',
					'type' => 'textfield',
					'value' => '',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'Design options',
				),
			)
    	)
	);
}
if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Gallery_Ribbon extends WPBakeryShortCode
    {
    }
}
