<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(
		array(
			'name' => esc_html__('Projects Grid', 'liza'),
			'base' => 'pm_vc_projects_grid',
			'description' => 'Display projects listing in grid layout.',
			'category' => esc_html__('Pixel-Mafia', 'liza'),
			'icon' => 'liza_vc_elements_icon liza_projects',
			'params' => array(
				array(
					'type' => 'pm_categories',
					'heading' => esc_html__('Select Categories', 'liza'),
					'taxonomy' => 'projectcat',
					'param_name' => 'pm_category',
					'admin_label' => true,
					'description' => esc_html__('Select Categories to Display', 'liza'),
					'value' => ''
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Items in Row', 'liza'),
					'param_name' => 'items_in_row',
					'admin_label' => true,
					'std' => '4',
					'value' => array(
						esc_html__("1 Item", "liza") => '1',
						esc_html__("2 Items", "liza") => '2',
						esc_html__("3 Items", "liza") => '3',
						esc_html__("4 Items", "liza") => '4',
						esc_html__("5 Items", "liza") => '5',
						esc_html__("5 Items", "liza") => '6'
					)
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Items on First Load", "liza"),
					"param_name" => "posts_first_load",
					'edit_field_class' => 'vc_col-sm-6',
					'value' => '12'
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Items on Load More", "liza"),
					"param_name" => "items_per_load",
					'edit_field_class' => 'vc_col-sm-6',
					'value' => '4'
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Paddings between items", "liza"),
					"param_name" => "items_padding",
					'description' => esc_html__('Please use this option to add paddings betweeb items. Recommended size in pixels 0-60. (Ex.: 30px):', 'liza'),
					'value' => ''
				),						
				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Filter State', 'liza'),
					'param_name' => 'filter_state',
					'admin_label' => true,
					'std' => 'on',
					'value' => array(
						esc_html__("On", "liza") => 'on',
						esc_html__("Off", "liza") => 'off'
					)
				),				
				array(
					'type' => 'dropdown',
					'heading' => esc_html__('Masonry Layout', 'liza'),
					'param_name' => 'masonry',
					'admin_label' => true,
					'std' => 'on',
					'value' => array(
						esc_html__("On", "liza") => 'on',
						esc_html__("Off", "liza") => 'off'
					)
				),				
				array(
					"type" => "textfield",
					"heading" => esc_html__("Load More Button Text", "liza"),
					"param_name" => "button_title",
					"description" => esc_html__("Specify Load More button text", "liza"),
					"value" => esc_html__("View More", "liza")
				),				

				array(
					'type' => 'css_editor',
					'heading' => esc_html__('CSS', 'liza'),
					'param_name' => 'custom_css',
					'group' => esc_html__('Design options', 'liza'),
				),

				array(
					'param_name' => 'custom_class',
					'heading' => esc_html__('Custom Class', 'liza'),
					'description' => '',
					'type' => 'textfield',
					'value' => '',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'Design options',
				),

			)
		)
	);
}


if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Projects_Grid extends WPBakeryShortCode
    {
    }
}
