<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
 * Template Name: Albums Slider
*/

if (!post_password_required()) {

	the_post();
	get_header();

	lizaHelper::getInstance()->addJSToFooter('albums_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
	');
	
	$liza_albums_slider_thumbs = '';
	$set_share_image = false;
	$share_image_url = '';
	$categs = liza_get_post_option('liza_albums_taxonomy');

	$args = array(
		'post_type' => 'albums',
		'post_status' => 'publish',
		'posts_per_page' => -1,
		'paged' => -1,
	);

	$selected_categories = '';
	
	if (isset($categs) && !empty($categs)) {
		foreach ($categs as $item) {
			$selected_categories .= $item->term_id . ',';
		}
	}
	$post_type_terms = array();
	if (isset($selected_categories) && strlen($selected_categories) > 0) {
		$selected_categories = substr($selected_categories, 0, -1);
		$post_type_terms = explode(",", $selected_categories);
		
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'albumscat',
				'field' => 'id',
				'terms' => $post_type_terms
			)
		);
	}

	$fit_style = liza_get_post_option('liza_albums_slider_fit_style', 'no_fit');
	?>
    <div class="liza_albums_slider_wrapper liza_blur_on_aside">
        <div class="liza_albums_slider_inner <?php echo $fit_style; ?>">
			<?php
            $slide_count = 0;
            query_posts($args);
            if (have_posts()) {
                while (have_posts()) {
					$slide_count++;
                    the_post();                    
                    $galCateg = '';
                    $new_term_list = get_the_terms(get_the_id(), "albumscat");
                    if (is_array($new_term_list)) {
                        foreach ($new_term_list as $term) {
                            $tempname = strtr($term->name, array(
                                ' ' => '-',
                            ));
                            $galCateg .= $tempname . ", ";
                        }
                    } else {
                        $galCateg = 'Uncategorized  ';
                    }
                    $galCateg = substr($galCateg, 0, -2);
					$img_count = 0;
                    if (is_array(liza_get_post_option('liza_albums_images'))) {
						foreach (liza_get_post_option('liza_albums_images') as $key => $image) {
							$img_count++;
						}
					}
					$liza_albums_slider_thumbs .= '
						<div class="liza_albums_thumb liza_albums_thumb'. esc_attr($slide_count) .'" data-count="'. esc_attr($slide_count) .'">
							<img src="'. aq_resize(liza_get_featured_image_url(), 290, 216, true, true, true) .'">
						</div>
					';
					if ($set_share_image == false) {
						$set_share_image = true;
						$share_image_url = liza_get_featured_image_url();
					}
					
                    ?>
                    <div class="liza_albums_slide liza_js_bg_image liza_albums_slide<?php echo esc_attr($slide_count); ?>" data-src="<?php echo liza_get_featured_image_url() ; ?>" data-count="<?php echo esc_attr($slide_count); ?>">
                        <div class="liza_albums_slide_content">
                            <h2 class="liza_albums_slide_title"><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></h2>
                            <div class="liza_albums_slide_meta liza_meta">
                                <div><?php echo get_the_date(); ?></div>
                                <div><?php echo esc_attr($galCateg); ?></div>
                                <div><?php echo esc_attr($img_count) . ' ' . esc_html__('images', 'liza'); ?> </div>
                            </div>
                        </div>
                    </div>
                    <?php
                }
            }
            ?>
		</div>
        <div class="liza_scroll_to_explore"><span><?php echo esc_html__('Scroll to Explore', 'liza'); ?></span></div>
	</div>
    <div class="liza_albums_slider_thumbs">
        <div class="liza_albums_slider_thumbs_wrapper">
            <div class="liza_albums_slider_thumbs_inner">
                <?php echo $liza_albums_slider_thumbs; ?>
            </div>
        </div>
        <div class="liza_albums_slider_counter">
            <span class="liza_albums_current_counter">0</span>
            <span>/</span>
            <span class="liza_albums_all_counter"><?php 
                if ($slide_count < 10) {
                    $slide_count = '0' . $slide_count;
                }
                echo $slide_count;
            ?></span>
            <i class="fa fa-angle-right"></i>
        </div>
        <div class="liza_mobile_thumbs_toggler"></div>
    </div>    
    <?php
	get_footer('empty');
} else {
    get_header('gallery');
	lizaHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
		jQuery("body").css("background-image", "url(' . get_theme_mod('protected_bg_image', get_template_directory_uri() . '/img/null.png') . ')").addClass("liza_password_protected");
	');
    ?>

    <div class="liza_password_container">
        <div class="liza_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}

?>