<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
 * Template Name: Gallery: Ribbons
*/

if (!post_password_required()) {
	
	the_post();
	get_header();
	lizaHelper::getInstance()->addJSToFooter('ribbons_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
	');
	
	# CSS
	wp_enqueue_style('liza-swipebox', get_template_directory_uri() . '/css/swipebox.css');
	
	# JS
	wp_enqueue_script('jquery_swipebox', get_template_directory_uri() . '/js/jquery.swipebox.js', true, false, true);
	wp_enqueue_script('pm_ribbons', get_template_directory_uri() . '/js/pm_ribbons.js', true, false, true);
	wp_enqueue_script('jquery-event-swipe', get_template_directory_uri() . '/js/jquery.event.swipe.js', array('jquery'), false, true);

	?>
        <div class="liza_2ribbons_slider_wrapper liza_blur_on_aside">
            <div class="liza_2ribbons_slider">
                <?php
                $counter = 1;
				$even_counter = 1;
				$odd_counter = 1;
				$liza_ribbon_top = '';
				$liza_ribbon_bottom = '';
				
                if (is_array(liza_get_post_option('liza_template_images'))) {
                    foreach (liza_get_post_option('liza_template_images') as $key => $image) {
						$photoTitle = $image['caption'];
						$photoAlt = $image['alt'];
                        $slide_meta = wp_get_attachment_metadata($image['ID']);
                        $slide_width = $slide_meta['width'];
                        $slide_height = $slide_meta['height'];
                        $img_ratio = $slide_width/$slide_height;

						if(($counter % 2) == 0){
							$liza_slide_class = 'liza_bottom_slide'.$odd_counter;
							$liza_slide_style = 'liza_bottom_slide';
							$liza_data_count = $odd_counter;
							$odd_counter++;
							$liza_ribbon_bottom .= '
								<div class="liza_2ribbons_slide ' . esc_attr($liza_slide_class) . ' ' . esc_attr($liza_slide_style).'" data-count="'. esc_attr($liza_data_count) .'" data-ratio="'. esc_attr($img_ratio) .'">
									<img src="'. aq_resize(esc_url($image['full_url']), '', 600, true, true, true) .'" alt="'. $photoAlt .'"/>
									<div class="liza_ribbons_slide_overlay"></div>
									<a class="swipebox" rel="ribbons_gallery" href="'. esc_url($image['full_url']) .'" title="'. esc_attr($photoTitle) .'"></a>
								</div>
							';

						} else {
							$liza_slide_class = 'liza_top_slide'.$even_counter;
							$liza_slide_style = 'liza_top_slide';
							$liza_data_count = $even_counter;
							$even_counter++;
							$liza_ribbon_top .= '
								<div class="liza_2ribbons_slide ' . esc_attr($liza_slide_class) . ' ' . esc_attr($liza_slide_style).'" data-count="'. esc_attr($liza_data_count) .'" data-ratio="'. esc_attr($img_ratio) .'">
									<img src="'. aq_resize(esc_url($image['full_url']), '', 600, true, true, true) .'" alt="'. esc_attr($photoAlt) .'"/>
									<div class="liza_ribbons_slide_overlay"></div>
									<a class="swipebox" rel="ribbons_gallery" href="'. esc_url($image['full_url']) .'" title="'. esc_attr($photoTitle) .'"></a>
								</div>
							';
						}
						$counter++;
                    }
                }
                ?>
                <div class="liza_2ribbons_top_line"><?php echo $liza_ribbon_top; ?></div>
                <div class="liza_2ribbons_bottom_line"><?php echo $liza_ribbon_bottom; ?></div>
            </div>
            <div class="liza_scroll_to_explore"><span><?php echo esc_html__('Scroll to Explore', 'liza'); ?></span></div>
        </div>
	<?php
	get_footer('empty');
} else {
    get_header('gallery');
	lizaHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
		jQuery("body").css("background-image", "url(' . get_theme_mod('protected_bg_image', get_template_directory_uri() . '/img/null.png') . ')").addClass("liza_password_protected");
	');
    ?>

    <div class="liza_password_container">
        <div class="liza_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}

?>