<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (!post_password_required()) {

	the_post();
	get_header();
	liza_get_breadcrumb();

	$liza_project_featured_state = liza_get_post_option('project_featured_image', 'enabled');
	$liza_project_meta_state = liza_get_post_option('project_meta', 'enabled');
	$liza_project_sharing_state = liza_get_post_option('project_sharing', 'enabled');
	$liza_project_prev_next_state = liza_get_post_option('project_prev_next', 'enabled');
	$liza_project_related_state = liza_get_post_option('project_related', 'enabled');
	
	$liza_post_classes = array(
		'liza_container',
		'liza_blur_on_aside',
		'liza_pproject_sharing_' . $liza_project_sharing_state,
		'liza_pproject_prev_next_' . $liza_project_prev_next_state,
		'liza_pproject_related_' . $liza_project_prev_next_state,
		liza_get_prefered_option('sidebar_position'),
		liza_get_post_option('header_padding', 'liza_header_padding_yes')
	);
	$projectCateg = '';
	$new_term_list = get_the_terms(get_the_id(), "projectcat");
	if (is_array($new_term_list)) {
		foreach ($new_term_list as $term) {
			$tempname = strtr($term->name, array(
				' ' => '-',
			));
			$projectCateg .= $tempname . ", ";
		}
	} else {
		$projectCateg = 'Uncategorized  ';
	}
	$projectCateg = substr($projectCateg, 0, -2);
	
	?>
		<div id="post-<?php the_ID(); ?>" <?php post_class($liza_post_classes); ?>>
            <div class="liza_content_<?php echo((is_active_sidebar('sidebar') && (liza_get_prefered_option('sidebar_position') !== 'liza_no_sidebar')) ? 'w_sidebar' : 'no_sidebar'); ?> liza_content">
                <?php 
				if ($liza_project_featured_state == 'enabled') {
					echo liza_get_post_formats(); 
				}
				?>
				<?php if (liza_get_post_option('single_page_title', 'show') == 'show' && ($liza_project_meta_state == 'enabled' || $liza_project_meta_state == 'only_title')) { ?>
					<div class="liza_single_post_title">
						<h2><?php the_title(); ?></h2>
					</div>
				<?php }	
				if ($liza_project_meta_state == 'enabled' || $liza_project_meta_state == 'only_meta') {
				?>
                <div class="liza_meta">
                    <div><?php echo get_the_date(); ?></div>
                    <div><?php echo esc_attr__('by', 'liza'); echo ' '; the_author_posts_link(); ?></div>
                    <div><?php echo esc_attr__('in', 'liza') . ' ' . $projectCateg; ?></div>
                    <?php 
						for ($i = 1; $i <= 3; $i++) {
							$this_meta_option_name = liza_get_post_option('liza_project_field'. $i .'_name');
							$this_meta_option_value = liza_get_post_option('liza_project_field'. $i .'_value');
							if ( !empty($this_meta_option_name) || !empty($this_meta_option_value)) {
								echo '<div>';
								if (!empty($this_meta_option_name)) {
									echo liza_get_post_option('liza_project_field'. $i .'_name');
								}
								if (!empty($this_meta_option_value)) {
									echo ' ' . liza_get_post_option('liza_project_field'. $i .'_value');
								}
								echo '</div>';
							}
						}

					?>
                </div><!-- .liza_meta -->
                <?php } ?>
                <div class="liza_tiny">
                    <?php the_content(); ?>
                </div>
                <div class="liza_subtiny">
                    <?php wp_link_pages(array('before' => '<div class="page-link">' . esc_html__('Pages', 'liza') . ': ', 'after' => '</div>')); ?>
                </div>
                <?php
				if ($liza_project_sharing_state == 'enabled') {
				?>
				<div class="liza_post_footer">
                    <div class="liza_post_share">
						<a target="_blank"
						   href="<?php echo esc_url('https://www.facebook.com/share.php?u='. get_permalink()); ?>" class="share_facebook">
						   <span class="fa fa-facebook"></span>
						</a>
						<a target="_blank"
						   href="<?php echo esc_url('https://twitter.com/intent/tweet?text='. get_the_title() .'&amp;url='. get_permalink()); ?>" class="share_twitter">
						   <span class="fa fa-twitter"></span>
						</a>
						<a target="_blank"
						   href="<?php echo esc_url('https://plus.google.com/share?url='. get_permalink()); ?>" class="share_gplus">
						   <span class="fa fa-google-plus"></span>
						</a>
						<a target="_blank"
						   href="<?php echo esc_url('https://pinterest.com/pin/create/button/?url='. get_permalink()); ?>" class="share_pinterest">
						   <span class="fa fa-pinterest"></span>
						</a>
                    </div>
                </div>
                <?php } ?>
                <?php 
				if ($liza_project_prev_next_state == 'enabled') {
					liza_prev_next_posts(); 
				}
				if ($liza_project_related_state == 'enabled') {
					echo '<div class="liza_projects_related_wrapper">';
					liza_featured_posts(array(
						'post_type' => 'project',
						'orderby' => liza_get_prefered_option('featured_posts_orderby'),
						'numberposts' => liza_get_prefered_option('featured_posts_numberposts'),
						'featured_image' => liza_get_prefered_option('featured_posts_fimage_status'),
						'excerpt' => 'hide',
						'post_meta' => liza_get_prefered_option('featured_posts_meta_status'),
						'title' => 'show'
					));
					echo '</div>';
				}
				comments_template(); 
				?>
            </div>
            <?php get_sidebar('sidebar'); ?>
		</div>
	
	<?php
	
	get_footer();
} else {
    get_header('gallery');
	lizaHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
		jQuery("body").css("background-image", "url(' . get_theme_mod('protected_bg_image', get_template_directory_uri() . '/img/null.png') . ')").addClass("liza_password_protected");
	');
    ?>

    <div class="liza_password_container">
        <div class="liza_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}