<?php
extract(
    shortcode_atts(
        array(
			'items_in_row' => '3',
			'posts_first_load' => '9',
			'items_per_load' => '3',
			'items_padding' => '60px',
			'button_title' => 'Load More',
            'custom_css' => '',
            'custom_class' => '',
        ),
        $atts
    )
);

# CSS
wp_enqueue_style('owl-carousel', get_template_directory_uri() . '/css/owl.carousel.css');

# JS
wp_enqueue_script('owl-carousel', get_template_directory_uri() . '/js/owl.carousel.min.js', array('jquery'), false, true);
wp_enqueue_script('jquery_isotope', get_template_directory_uri() . '/js/jquery.isotope.min.js', true, false, true);
wp_enqueue_script('posts_sorting', get_template_directory_uri() . '/js/posts_sorting.js', true, false, true);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$thmb_width = 800;
$thmb_height = 533;

$html = '
<div class="liza_element_wrap liza_blog_grid liza_blog_grid'. esc_attr($items_in_row) .' ' . esc_attr($custom_class) .' '. esc_attr($css_class) . '" 
	data-perload = "'. esc_attr($items_per_load) .'" 
	data-onstart = "'. esc_attr($posts_first_load) .'" 
	data-pad = "'. esc_attr($items_padding) .'"
	data-inrow = "'. esc_attr($items_in_row) .'">
	
	<div class="liza_blog_grid_inner liza_isotope_trigger is_masonry"
		data-perload = "'. esc_attr($items_per_load) .'" 
		data-onstart = "'. esc_attr($posts_first_load) .'" 
		data-pad = "'. esc_attr($items_padding) .'"
		data-inrow = "'. esc_attr($items_in_row) .'">';

$args = array(
    'post_type' => 'post',
    'post_status' => 'publish',
    'posts_per_page' => absint($posts_first_load),
    'paged' => -1,
);

$i = 0;
$pf_args = array(
	'output_template' => 'blog_masonry',
	'grid_img_width' => $thmb_width,
	'grid_img_width' => $thmb_height,
);

$set_query_args = '{"output_template" : "blog_masonry", "thmb_width" : '. esc_attr($thmb_width) .', "thmb_height" : '. esc_attr($thmb_height) .', "ajax_callback_function" : "liza_setup_blog_grid", "post_type" : "post", "post_status" : "publish", "posts_first_load" : '. esc_attr($posts_first_load) .', "posts_per_page" : '. esc_attr($items_per_load) .', "offset" : 0, "posts_counter": 1}';
$html .= '
	</div>
	<div class="liza_ajax_query_preloader">
		<div class="liza_aqp_wrapper">
			<span class="liza_aqp_item liza_aqp_item1"></span>
			<span class="liza_aqp_item liza_aqp_item2"></span>
			<span class="liza_aqp_item liza_aqp_item3"></span>
			<span class="liza_aqp_item liza_aqp_item4"></span>
		</div>
	</div>
</div>
<div class="blog_grid_loadmore_wrapper">
	<a class="blog_grid_load_more liza_button liza_ajax_query_posts_isotope" data-args=\''. $set_query_args .'\' data-return-to="liza_blog_grid_inner" href="'. esc_js("javascript:void(0)") .'">' . esc_attr($button_title) . '</a>
</div>
';

echo $html;