<?php
$defaults = array(
	'images' => '',
	'items_padding' => '',
	'title_state' => 'on',
	'module_height' => '100%',
	'el_class' => '',
	'autoplay' => 'on',
	'interval' => '4000',
	'transition_time' => '1000',
	'image_crop' => '',
	'image_crop_width' => '',
	'image_crop_height' => ''
);

$atts = vc_shortcode_attribute_parse($defaults, $atts);
extract($atts);

$sharing_state = 'off';
if ($autoplay == 'on') {
	$autoplay_class = 'autoplay';
} else {
	$autoplay_class = 'no_autoplay';
}
$title_tag = 'h1';

$compile = '';

$set_share_image = false;
$share_image_url = '';

$images_ids = empty( $images ) ? array() : explode( ',', trim( $images ) );

wp_enqueue_script('pm_ribbon_gallery_js', get_template_directory_uri() . '/js/pm_ribbon_gallery.js', array(), false, true);

if (is_array($images_ids)) { 
	$uniqid = mt_rand(0, 9999);
	?>
    <div class="liza_ribbon_slider_wrapper <?php echo esc_attr($el_class); ?> fadeOnLoad liza_ribbon_gal_<?php echo esc_attr($uniqid); ?>" 
    	data-uniqid="<?php echo esc_attr($uniqid); ?>" 
        data-pad="<?php echo esc_attr($items_padding); ?>" 
        data-autoplay = "<?php echo esc_attr($autoplay); ?>" 
        data-interval = "<?php echo esc_attr($interval); ?>" 
    	data-transition = "<?php echo esc_attr($transition_time); ?>" 
        data-height="<?php echo esc_attr($module_height); ?>" 
        >
        
        <div class="liza_ribbon_gallery_container liza_ribbon_slider
			<?php echo esc_attr($autoplay_class); ?>" 
            data-interval="<?php echo esc_attr($interval); ?>" 
            data-autoplay="<?php echo esc_attr($autoplay); ?>">
            
        	<?php
		$count = 1;
		$thmb_compile = '';
		foreach ($images_ids as $key => $image) {
			
			$photoTitle = get_the_title($image);
			$photoCaption = '';
			$attach_meta = liza_get_attachment($image);
			$photoCaption = $attach_meta['caption'];
			$PCREpattern = '/\r\n|\r|\n/u';
			$photoCaption = preg_replace($PCREpattern, '', nl2br($photoCaption));

			$slide_meta = wp_get_attachment_metadata($image);

			if ($image_crop == true) {
				$slide_ratio = $image_crop_width/$image_crop_height;
				$slide_width = round($image_crop_width/10);
				$slide_height = round($slide_width/$slide_ratio);
				$featured_image = aq_resize(esc_url(wp_get_attachment_url($image)), esc_attr($image_crop_width), esc_attr($image_crop_height), true, true, true);
			} else {
				$slide_ratio = $slide_meta['width']/$slide_meta['height'];
				$slide_width = round($slide_meta['width']/10);
				$slide_height = round($slide_width/$slide_ratio);

				$featured_image = wp_get_attachment_url($image);
			}
			if ($set_share_image == false) {
				$set_share_image = true;
				$share_image_url = esc_url($featured_image);
			}
			?>
			<div 
				class="liza_ribbon_slide liza_ribbon_block2preload liza_js_transition liza_ribbon_slide<?php echo esc_attr($count); ?>" 
				data-count="<?php echo esc_attr($count); ?>" 
				data-title="<?php echo esc_attr($photoTitle); ?>"
				data-descr="<?php echo esc_attr($photoCaption); ?>"
				data-ratio="<?php echo esc_attr($slide_ratio); ?>"
				data-src="<?php echo esc_url($featured_image); ?>" 
				data-transition = "<?php echo esc_attr($transition_time); ?>">
			</div>
			
		<?php
		$count++;
		}	//End of Foreach 
		?>
		</div><!-- .ribbon_gallery_container -->
        <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="liza_ribbon_prevSlide liza_button_prev"></a>
        <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="liza_ribbon_nextSlide liza_button_next"></a>
        <?php if ($sharing_state == 'on') { ?>
			<div class="liza_slider_sharing_block">
            	<span class="liza_sharing_label"><?php echo esc_html__('Follow Liza', 'liza'); ?></span>
                <a target="_blank"
                   href="<?php echo esc_url('https://www.facebook.com/share.php?u='. get_permalink()); ?>" class="liza_share_facebook"><i class="fa fa-facebook"></i></a>
                <a target="_blank"
                   href="<?php echo esc_url('https://twitter.com/intent/tweet?text='. get_the_title() .'>&amp;url='. get_permalink()); ?>" class="liza_share_twitter"><i class="fa fa-twitter"></i></a>
                <a target="_blank"
                   href="<?php echo esc_url('https://plus.google.com/share?url='. get_permalink()); ?>" class="liza_share_gplus"><i class="fa fa-google-plus"></i></a>
                <a target="_blank"
                   href="<?php echo esc_url('https://pinterest.com/pin/create/button/?url='. get_permalink() .'>&media='. $share_image_url); ?>" class="liza_share_pinterest"><i class="fa fa-pinterest"></i></a>
            </div>
		<?php } ?>
		<?php
        if ($title_state == 'on') { ?>
            <div class="liza_ribbon_title_content">
                <?php echo '<' . esc_attr($title_tag); ?> class="liza_ribbon_title">&nbsp;<?php echo '</' . esc_attr($title_tag) . '>'; ?>
            </div>
        <?php } ?>
	</div><!-- .ribbon_slider_wrapper -->
    <?php
}
?>