<?php
extract(
    shortcode_atts(
        array(
			'pm_category' => '',
            'posts_first_load' => 3,
			'items_per_load' => 3,
			'button_title' => esc_html__("Load More", "liza"),
            'custom_css' => '',
            'custom_class' => '',
        ),
        $atts
    )
);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$thmb_width = 1075;
$thmb_height = 700;

$filter_categ_array = array();
$categ_array = array();
$selected_categories = '';

if (!empty($pm_category) && $pm_category !== 'all') {
	$selected_categories = $pm_category;
	$categ_array = explode(" ", $selected_categories);
	
	if (is_array($categ_array) && count($categ_array) > 0) {
		foreach ($categ_array as $cat) {
			if ($cat !== '') {
				$this_categ = get_term_by('slug', $cat, 'projectcat');
				$this_categ_id = $this_categ->term_id;
				array_push($filter_categ_array, $this_categ_id);
			}
		}
	}
	$selected_categories = implode($filter_categ_array, ',');
}

$html = '
<div class="liza_element_wrap liza_projects ' . esc_attr($custom_class) .' '. esc_attr($css_class) . '" 
	data-perload = "'. esc_attr($items_per_load) .'" 
	data-onstart = "'. esc_attr($posts_first_load) .'">
	
	<div class="liza_projects_inner">';

$args = array(
    'post_type' => 'project',
    'post_status' => 'publish',
    'posts_per_page' => absint($posts_first_load),
    'paged' => -1,
);

$i = 0;
$pf_args = array(
	'output_template' => 'projects_listing',
	'grid_img_width' => esc_attr($thmb_width),
	'grid_img_width' => esc_attr($thmb_height),
);

$set_query_args = '{"output_template" : "projects_listing", "thmb_width" : '. esc_attr($thmb_width) .', "thmb_height" : '. esc_attr($thmb_height) .', "ajax_callback_function" : "liza_projects_listing_setup", "post_type" : "project", "post_status" : "publish", "posts_first_load" : '. esc_attr($posts_first_load) .', "posts_per_page" : '. esc_attr($items_per_load) .', "offset" : 0, "posts_counter": 1, "categories" : "'. $selected_categories .'"}';
$html .= '
	</div>
	<div class="liza_ajax_query_preloader">
		<div class="liza_aqp_wrapper">
			<span class="liza_aqp_item liza_aqp_item1"></span>
			<span class="liza_aqp_item liza_aqp_item2"></span>
			<span class="liza_aqp_item liza_aqp_item3"></span>
			<span class="liza_aqp_item liza_aqp_item4"></span>
		</div>
	</div>
	<div class="projects_loadmore_wrapper">
		<a class="projects_load_more liza_button liza_ajax_query_posts" data-args=\''. $set_query_args .'\' data-return-to="liza_projects_inner" href="'. esc_js("javascript:void(0)") .'">' . esc_attr($button_title) . '</a>
	</div>
</div>
';

echo $html;
?>