<?php
/*
Plugin Name: Pixel-Mafia liza Custom Post Types
Plugin URI: http://www.pixel-mafia.com
Description: Register liza Custom Post Types.
Version: 1.2
Author: Pixel-Mafia
Author URI: http://www.pixel-mafia.com
*/

function liza_custom_post_types()
{
	$liza_albums_name = esc_attr(get_theme_mod('albums_pt_name', 'Albums'));
	$liza_albums_slug = esc_attr(get_theme_mod('albums_pt_slug', 'albums'));
	
	$liza_projects_name = esc_attr(get_theme_mod('projects_pt_name', 'Projects'));
	$liza_projects_slug = esc_attr(get_theme_mod('projects_pt_slug', 'project'));

    # Albums
    register_post_type('albums', array(
            'label' => $liza_albums_name,
            'public' => true,
            'show_ui' => true,
            'show_in_nav_menus' => true,
            'rewrite' => array(
                'slug' => $liza_albums_slug,
                'with_front' => false
            ),
            'hierarchical' => true,
            'menu_position' => 4,
            'supports' => array(
                'title',
                'thumbnail'
            )
        )
    );
	register_taxonomy('albumscat', 'albums', array('hierarchical' => true, 'label' => 'Category', 'singular_name' => 'Category'));
	
    # Projects
    register_post_type('project', array(
            'label' => $liza_projects_name,
            'public' => true,
            'show_ui' => true,
            'show_in_nav_menus' => true,
            'rewrite' => array(
                'slug' => $liza_projects_slug,
                'with_front' => false
            ),
            'hierarchical' => true,
            'menu_position' => 5,
            'supports' => array(
                'title',
                'thumbnail',
				'excerpt',
				'editor'
            )
        )
    );
	register_taxonomy('projectcat', 'project', array('hierarchical' => true, 'label' => 'Category', 'singular_name' => 'Category'));
}

add_action('init', 'liza_custom_post_types');

if (!function_exists('liza_load_widgets')) 
{
	function liza_load_widgets() 
	{
		require_once(__DIR__ . "/widgets/featured-gallery-posts.php");
		require_once(__DIR__ . "/widgets/featured-posts.php");
		require_once(__DIR__ . "/widgets/text-table.php");
	}
}
add_action('plugins_loaded', 'liza_load_widgets');

if (!function_exists('liza_add_widget')) 
{
	function liza_add_widget($name) 
	{
		register_widget($name);
	}
}